petsc-3.7.7 2017-09-25
Report Typos and Errors

# ISLocalToGlobalMappingApplyBlock

Takes a list of integers in a local block numbering and converts them to the global block numbering

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingApplyBlock(ISLocalToGlobalMapping mapping,PetscInt N,const PetscInt in[],PetscInt out[])

Not collective

### Input Parameters

| mapping | - the local to global mapping context
| N | - number of integers
| in | - input indices in local block numbering

### Output Parameter

out -indices in global block numbering

### Notes

The in and out array parameters may be identical.

### Example

If the index values are {0,1,6,7} set with a call to ISLocalToGlobalMappingCreate(PETSC_COMM_SELF,2,2,{0,3}) then the mapping applied to 0 (the first block) would produce 0 and the mapping applied to 1 (the second block) would produce 3.

### See Also

ISLocalToGlobalMappingApply(), ISLocalToGlobalMappingCreate(),ISLocalToGlobalMappingDestroy(),
ISLocalToGlobalMappingApplyIS(),AOCreateBasic(),AOApplicationToPetsc(), AOPetscToApplication(), ISGlobalToLocalMappingApply()

Level:advanced
Location:src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages